Finds tag based on provided tag Id.
1 min
GET
https://api.upstartcommerce.com/pim/tags/{id}
Path Parameters
- idstring<uuid>requiredDescriptionFormatuuid
Header Parameters
- x-upstart-tenantstringrequiredDescriptionMin Length1
- x-upstart-sitestringrequiredDescriptionMin Length1
Responses
200
- Tags.json
Response Headers
- Allow
- ETag
- Cache-Control
- Content-Type
304
400
- ValidationErrorResponse.json
401
- ErrorResponse.json
403
- ErrorResponse.json
404
- ErrorResponse.json
405
- ErrorResponse.json
406
- ErrorResponse.json
default
- ErrorResponse.json
curl
curl --request GET \
--url https://api.upstartcommerce.com/pim/tags/{id} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/tags/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/tags/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/tags/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Tag with given tag Id returned successfully.
{}304
// This is used to indicate that the client's cached copy of a resource is not yet modified. Resource is valid and can be used instead of requesting a new copy from the server.
400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{}401
// The provided credentials were not valid for this endpoint.
{}403
// User's roles are insufficient for this endpoint.
{}404
// The requested resource was not found in the NoChannel system.
{}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{}406
// This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.
{}default
// This is the default internal server error. System was not able to process this request.
{}